[@rxap/material-table-system](../wiki/globals) / TableRowActionExecutingDirective

# Class: TableRowActionExecutingDirective

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:11](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts#L11)

## Constructors

### new TableRowActionExecutingDirective()

> **new TableRowActionExecutingDirective**(`templateRef`, `vcr`): [`TableRowActionExecutingDirective`](../wiki/Class.TableRowActionExecutingDirective)

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:12](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts#L12)

#### Parameters

##### templateRef

`TemplateRef`\<`void`\>

##### vcr

`ViewContainerRef`

#### Returns

[`TableRowActionExecutingDirective`](../wiki/Class.TableRowActionExecutingDirective)

## Properties

### templateRef

> `readonly` **templateRef**: `TemplateRef`\<`void`\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:13](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts#L13)

## Methods

### hide()

> **hide**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts#L22)

#### Returns

`void`

***

### show()

> **show**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts#L18)

#### Returns

`void`
